Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class RelaxedParser

    java.lang.Object
      org.codehaus.groovy.tools.shell.RelaxedParser

    final class RelaxedParser

A relaxed parser, which tends to allow more, but won't really catch valid syntax errors.

Method Summary
`protected antlr.collections.AST` | `doParse(UnicodeEscapingReader reader)`
`ParseStatus` | `parse(java.util.List buffer)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### doParse

    protected antlr.collections.AST doParse(UnicodeEscapingReader reader)

### parse

    ParseStatus parse(java.util.List buffer)

Groovy Documentation